/* FILE: odlSupport.h
 *
 * PROGRAM: User Friendly Metadata (UFM)
 *
 * DESCRIPTION: This file contains header information for the odlSupport
 *     module.
 *
 * RCS INFO:
 *
 *	$Id: odlSupport.h,v 1.1 2002/05/08 15:20:20 yin Exp $
 *
 *	$Log: odlSupport.h,v $
 *	Revision 1.1  2002/05/08 15:20:20  yin
 *	Initial revision
 *
 *	Revision 1.2  2000/04/12 23:59:04  ToolsDev
 *	Promotion
 *
 * Revision 1.2  1999/02/03  16:29:28  stroup
 * Promotion of 1.1.0 branch.
 *
 * Revision 1.1.0.3  1999/02/02  21:14:11  jarva
 * Added odlListParmVals.
 *
 * Revision 1.1.0.2  1999/01/22  13:20:49  stroup
 * Added prototypes for odlRootNode, odlParentNode, odlCompMatch,
 * odlIsRootNode, odlOwnerAggregate, and odlValuesParameter.
 *
 * Revision 1.1.0.1  1999/01/20  19:31:14  stroup
 * Removed data structure declarations.
 * Added include of ODL_Node.h.
 * Added odlDestructor prototype.
 *
 * Revision 1.1  1999/01/06  21:26:56  ToolsDev
 * Initial revision from prototype baseline.
 *
 *
*/
#ifndef _odlSupport_header
#define _odlSupport_header

/* INCLUDED FILES: the following included files are here because of
 *     dependencies that exist within this header file.
*/
#include <stdio.h>
#include "odldef.h"
#include "ODL_Node.h"
#include "lstList.h"
/* ---------------------------------------------------------------------*/

/* DATA DECLARATIONS & TYPEDEFS:
 *
*/
	/* NONE */

/* ---------------------------------------------------------------------*/

/* EXTERN VARIABLES: the following variables may be used in other files.
 *    They are defined in odlSupport.c.
*/
	/* NONE */


/* ---------------------------------------------------------------------*/

/* EXTERN PROTOTYPES: the following prototypes are for functions defined
 *     in odlSupport.c but which are intended for use 
 *     elsewhere.
*/
void odlInitialization( int debugFlag, int verboseFlag, int noExit,
		FILE *pDebugFile, FILE *pUserMessages );
struct ODL_Node *odlMakeNode( NODE_KIND node_kind, void *pNode );
lstLIST odlChildComponentsList( struct ODL_Node *pNode );
char *odl_stringValue( PARAMETER pParm );
lstLIST odlGetValueList( struct ODL_Node *pNode );
lstLIST odlListParmVals( lstLIST pPNodeList );
int odlAreEqualNodes( struct ODL_Node *pNode1, struct ODL_Node *pNode2 );
int odlIsObject( struct ODL_Node * pNode );
int odlIsGroup( struct ODL_Node * pNode );
int odlIsParameter( struct ODL_Node * pNode );
int odlIsAttribute( struct ODL_Node * pNode );
int odlIsPointer( struct ODL_Node * pNode );
ODLNodePtr odlRootNode (ODLNodePtr base_node);
ODLNodePtr odlParentNode (ODLNodePtr curr_node);
ODLNodePtr odlNextChildNode (ODLNodePtr parent_node, ODLNodePtr child_node);
int odlCompMatch (ODLNodePtr node, char *comp_name);
char *odlComponentName(  struct ODL_Node *pODLNode );
int odlIsRootNode (AGGREGATE base_node);
AGGREGATE odlOwnerAggregate (PARAMETER parm_node);
PARAMETER odlValuesParameter (VALUE value_node);
void *odlDestructor(void *pOdl);

#endif 
