/* FILE: sltLUT.h
 *
 * PROGRAM: Utility module
 *
 * DESCRIPTION: Defines the sltLUT data type and lists the public 
 *              prototypes the the LUT-related functions.
 *
 * RCS INFO:
 *
 *	$Id: sltLUT.h,v 1.1 2002/05/08 15:20:20 yin Exp $
 *
 *	$Log: sltLUT.h,v $
 *	Revision 1.1  2002/05/08 15:20:20  yin
 *	Initial revision
 *
 *	Revision 1.1  1999/01/06 21:10:54  ToolsDev
 *	Initial revision from prototype baseline.
 *
 *
*/
#ifndef _sltLUT_header
#define _sltLUT_header

/* INCLUDED FILES: the following included files are here because of
 *     dependencies that exist within this header file.
*/
#include <stdio.h>
#include "lstList.h"

/* ---------------------------------------------------------------------*/

/* DATA DECLARATIONS & TYPEDEFS:
 *
*/
typedef lstLIST sltLUT;

/* ---------------------------------------------------------------------*/

/* EXTERN VARIABLES: the following variables may be used in other files.
 *    They are defined in sltLUT.c.
*/
	/* NONE */


/* ---------------------------------------------------------------------*/

/* EXTERN PROTOTYPES: the following prototypes are for functions defined
 *     in sltLUT.c but which are intended for use 
 *     elsewhere.
*/
void sltInitialization( int debugFlag, int verboseFlag, int noExit,
		FILE *pDebugFile, FILE *pUserMessages );
sltLUT sltInitLUT( void );
void sltAdd( sltLUT pLUT, char *indexString, void *pItem );
void *sltLookUp( sltLUT pLUT, char *indexString );
sltLUT sltFreeLUT( sltLUT pLUT );
/* void *sltEntryItem( void *pEntry, char **pIndex ); */
void *sltAddOrReplace( sltLUT pLUT, char *pIndexString, void *pItem );
lstLIST sltMatchList( sltLUT pLUT, char *indexString );
lstLIST sltKeys(sltLUT pLUT);

#endif 
