/* FILE: ufmMain.h
 *
 * PROGRAM: User Friendly Metadata (UFM) tool.
 *
 * DESCRIPTION: Contains the UFM's data structure used for controlling the
 *     tool's behavior.
 *
 * RCS INFO:
 *
 *	$Id: ufmMain.h,v 1.1 2002/05/08 15:20:20 yin Exp $
 *
 *	$Log: ufmMain.h,v $
 *	Revision 1.1  2002/05/08 15:20:20  yin
 *	Initial revision
 *
 *	Revision 1.2  2000/04/07 00:11:12  ToolsDev
 *	Made changes to display the ODL file header informations:
 *	added new member DHeader in ufmControls.
 *	(Amer Rahabi)
 *
 * Revision 1.1  1999/01/06  20:40:42  ToolsDev
 * Initial revision from prototype baseline.
 *
 *
*/
#ifndef _ufmMain_header
#define _ufmMain_header

/* INCLUDED FILES: the following included files are here because of
 *     dependencies that exist within this header file.
*/
#include <stdio.h>


/* ---------------------------------------------------------------------*/

/* EXTERN VARIABLES: the following variables may be used in other files.
 *    They are defined in ufmMain.c.
*/
	/* NONE */


/* ---------------------------------------------------------------------*/

/* EXTERN PROTOTYPES: the following prototypes are for functions defined
 *     in ufmMain.c but which are intended for use elsewhere.
*/
	/* NONE */
/* ---------------------------------------------------------------------*/

typedef struct ufmCntls{
  FILE *pODL_In;         /* file for the input ODL (default is STDIN;
                          * overridden with the "-f <file>" command line
                          * option) */
  FILE *pInstrFile;      /* file for the instructions file (default is
                          * ufmInstructions.odl in the current working
                          * directory; overridden with the "-i <file>" command
                          * line option) */
  FILE *pHTML_Out;       /* file for the HTML output (default is STDOUT;
                          * overridden with the "-o <file>" command line
                          * option) */
  FILE *pDebugFile;      /* file for program errors (default is STDERR;
                          * overridden with the "-g <file>" command line
                          * option) */
  FILE *pCompilerErrors; /* file for user errors in the IF (default is STDERR;
                          * overridden with the "-g <file>" command line
                          * option) */

  int verbose;    /* verbose mode flag; initialized to 0 (normal mode); set to
                   * 1 (verbose mode) with the "-v" command line option */
  int debug;      /* debug mode flag; initialized to 0 (normal mode); set to 1
                   * (debug mode) with the "-d" command line option -d */
  char *pTitle;   /* title of output HTML; initialized to a generic, default
                   * title; overridden with the "-t <title>" command line
                   * option */
  char *pComment; /* comment displayed at top of the output HTML; initialized
                   * to NULL (no comment); overridden with the "-c <comment>"
                   * command line option */

  int DHeader;    /* control variable when set, the header information will be didsplayed at the top of the HTML file*/
		  /* using option "-h" will set the variable   */
                  
		  
  int CompilerFailure;	/* indicator: normally 0; set to 1 if an error
                         * compiling the instructions file encountered. */
}ufmControls;

#endif 
